﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Globalization;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Schedule_UWP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>

    public sealed partial class MainPage : Page
    {

        public MainPage()
        {
            this.InitializeComponent();
            Schedule.AppointmentEndResizing += Schedule_AppointmentEndResizing;
        }

        private void Schedule_AppointmentEndResizing(object sender, AppointmentEndResizingEventArgs e)
        {
            if(e.To.Minute<15)
            {
                (e.Appointment as ScheduleAppointment).EndTime = e.To.AddMinutes(15 - e.To.Minute);
            }
            else if (e.To.Minute> 15 && e.To.Minute <30)
            {
                (e.Appointment as ScheduleAppointment).EndTime = e.To.AddMinutes(30 - e.To.Minute);
            }
           else if(e.To.Minute>30 && e.To.Minute<45)
            {
                (e.Appointment as ScheduleAppointment).EndTime = e.To.AddMinutes(45-e.To.Minute);
            }
           else if(e.To.Minute>45)
            {
                (e.Appointment as ScheduleAppointment).EndTime = e.To.AddMinutes(60 - e.To.Minute);
            }
            e.Cancel = true;
        }
    }

}
